Bug 599084 - X (with intel driver) crashes on opengl (e.g., antspotlight -root)
X (with intel driver) crashes on opengl (e.g., antspotlight -root)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 12:24 EDT by John Heidemann
Modified: 2018-04-11 02:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:21:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log.old showing crash (48.34 KB, text/plain)
2010-06-02 12:26 EDT, John Heidemann
no flags Details
Xorg.0.log (87.85 KB, text/plain)
2010-07-11 02:30 EDT, Peter Belew
no flags Details

  None (edit)
Description John Heidemann 2010-06-02 12:24:27 EDT
Description of problem:

X crashes, throwing one out into the gdm ghetto,
after some time of just running screensavers (every day or so).
The problem seems to be reliably triggered by the antspotlight
OpenGL screensaver.  It is likely triggered by other OpenGL programs,
but not all.


Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.11.0-4.fc13.x86_64.rpm
xscreensaver-gl-extras-5.11-2.fc12.x86_64
(also happens with the current fc13 xscreensaver-gl-extras)

How reproducible:
happens consistently
run antspotlight -root
(doesn't seem to happen without -root)

Steps to Reproduce:
1. start up x
2. /usr/libexec/xscreensaver/antspotlight -root
3. feel the pain
  
Actual results:

x crashes, kicked out to gdm (or in my case, xdm)

Expected results:

pretty ant-y screensaving goodness and a rock solid X server, more like F12

Additional info:

I will attach Xorg.0.log.old (Xorg.0.log is the not-yet-crashed-current X)
Comment 1 John Heidemann 2010-06-02 12:26:07 EDT
Created attachment 419095 [details]
Xorg.0.log.old showing crash

To find crash, search for "Backtrace:" in the log.
Comment 2 John Heidemann 2010-06-02 14:49:30 EDT
By the way, it seems appropriate to up this to a severity "high" bug, since crashing X is unpleasant, and having it crash randomly sometime over 24 hours is particularly unpleasant.  (However, the 24 hour random crash only happens with the 3rd party xscreensaver-gl-extras package added.)

(Sorry, it's not clear that I can elevate bug severity once I file the bug.)
Comment 3 Matěj Cepl 2010-06-07 17:17:06 EDT
Backtrace:
[ 81099.837] 0: /usr/bin/X (xorg_backtrace+0x28) [0x49e708]
[ 81099.837] 1: /usr/bin/X (0x400000+0x603d9) [0x4603d9]
[ 81099.838] 2: /lib64/libc.so.6 (0x3b43c00000+0x32a40) [0x3b43c32a40]
[ 81099.838] 3: /usr/bin/X (miDoCopy+0x58) [0x547a18]
[ 81099.838] 4: /usr/lib64/xorg/modules/drivers/intel_drv.so (0x7f6afccf2000+0x3a020) [0x7f6afcd2c020]
[ 81099.838] 5: /usr/bin/X (0x400000+0xd4478) [0x4d4478]
[ 81099.838] 6: /usr/lib64/xorg/modules/drivers/intel_drv.so (0x7f6afccf2000+0x35c02) [0x7f6afcd27c02]
[ 81099.838] 7: /usr/lib64/xorg/modules/drivers/intel_drv.so (0x7f6afccf2000+0x368b9) [0x7f6afcd288b9]
[ 81099.838] 8: /usr/lib64/libdrm.so.2 (drmHandleEvent+0x103) [0x3b54c067c3]
[ 81099.838] 9: /usr/bin/X (WakeupHandler+0x4b) [0x43159b]
[ 81099.838] 10: /usr/bin/X (WaitForSomething+0x1d7) [0x45a767]
[ 81099.838] 11: /usr/bin/X (0x400000+0x2c042) [0x42c042]
[ 81099.838] 12: /usr/bin/X (0x400000+0x219ca) [0x4219ca]
[ 81099.838] 13: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x3b43c1ec5d]
[ 81099.838] 14: /usr/bin/X (0x400000+0x21579) [0x421579]
[ 81099.839] Segmentation fault at address (nil)
[ 81099.839] 
Fatal server error:
[ 81099.839] Caught signal 11 (Segmentation fault). Server aborting
Comment 4 Peter Belew 2010-07-11 02:28:23 EDT
I have formerly had this problem on an Averatec 3280 laptop running various Ubuntu versions, and reported it as Ubuntu Launchpad bug #455954.

I recently installed Fedora 13 instead, and experience the same lockup as described above. The relevant packages are

$ rpm -qa | grep xscreensaver-gl
xscreensaver-gl-extras-gss-5.11-6.fc13.respin1.i686
xscreensaver-gl-extras-5.11-6.fc13.respin1.i686
xscreensaver-gl-base-5.11-6.fc13.respin1.i686

Some lspci -v output:

01:00.0 VGA compatible controller: VIA Technologies, Inc. K8M800/K8N800/K8N800A [S3 UniChrome Pro] (rev 01) (prog-if 00 [VGA controller])
	Subsystem: TWINHEAD INTERNATIONAL Corp Device 0315
	Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 16
	Memory at f4000000 (32-bit, prefetchable) [size=64M]
	Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
	Expansion ROM at fe2f0000 [disabled] [size=64K]
	Capabilities: [60] Power Management version 2
	Capabilities: [70] AGP version 3.0
	Kernel modules: viafb


I'm attaching Xorg.0.log
Comment 5 Peter Belew 2010-07-11 02:30:30 EDT
Created attachment 430965 [details]
Xorg.0.log

Xorg.0.log after rebooting after the system froze
Comment 6 Adam Jackson 2011-04-18 14:19:01 EDT
Peter, your bug is assuredly not this bug.  The VIA and Intel 3D drivers are wildly different.
Comment 7 Bug Zapper 2011-06-02 08:19:13 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-27 13:21:53 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.